package com.logicbig.example;

import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.core.Application;
import javax.ws.rs.core.Context;
import java.util.Map;
import java.util.stream.Collectors;

@Path("/orders")
public class OrderResource {
    @GET
    public String getAllOrders(@Context Application app) {
        Map<String, Object> properties = app.getProperties();
        String props = properties.entrySet().stream()
                                 .map(e -> e.getKey() + "=" + e.getValue())
                                 .collect(Collectors.joining("\n"));
        System.out.println(props);
        return properties.get("KEY_MAX_ORDER_LIMIT").toString();
    }
}